import { get, post, parmasPost, put, deletes, uget } from '@/http/index'

// 查询本级单位的合同列表
export const listContractByRegistered = async (formData) => {
  return await get('/system/contract/listByRegistered', formData)
}

// 查询【请填写功能名称】列表
export const listContract = async (formData) => {
  return await get('contract/list', formData)
}

// 删除【请填写功能名称】
export const delContract = async (formData) => {
  return await post('contract/delete', formData)
}

// 新增【请填写功能名称】
export const addContract = async (formData) => {
  return await post('contract/add', formData)
}

// 修改【请填写功能名称】
export const updateContract = async (formData) => {
  return await post('contract/update', formData)
}

// 导出【请填写功能名称】
export const exportContract = async (formData) => {
  return await post('contract/export', formData)
}

// 查询【请填写功能名称】详细
export const getContract = async (formData) => {
  return await get('contract/getInfo', formData)
}

// 根据合同ID查询关联计划getContractPlan
export const getPlanListByContractId = async (formData) => {
  return await get('contract/getContractPlan', formData)
}

export function downLoadTemplate() {
  window.open(process.env.VUE_APP_BASE_API + '/system/contract/downLoadFile')
}
